Description

Hi, I'm new working with Android and Eclipse.

| got your source code, | created a new project in Eclipse and paste your code, almost everything is ok, but the probles is in
PepSubManager class because | get this error "+The type PepSubManager cannot subclass the final class PubSubManager+"
please, can you tell me

What | need to do to solve this error?

| saw the "PubSubManager" and is a final class

Thank a lot!

Sorry if my English is no really good! ;)

History

#1 - 01/20/2012 01:44 AM - Frédéric Barthéléry
- Status changed from New to Assigned

- Assignee changed from Nikita Kozlov to Frédeéric Barthéléry

Hi,

In the original asmack library, the PubSubManager class is final. In Beem, we use a patch asmack library.

You can find all of our patches it source:doc/asmack-beem/beem_patches .

There is a patch which makes the PubSubManager class non final.

You can just use our source:libs/asmack-android-7-beem.jar or build your own version and apply the patches you need.

#2 - 01/23/2012 06:55 PM - Juan Nava

Thanks for your quick answer. | got the correct library and the project is working now.
Thanks for help and congratulations for you project!!

#3 - 01/23/2012 09:21 PM - Frédéric Barthéléry

- Status changed from Assigned to Resolved

#4 - 02/03/2012 12:08 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
